import React from 'react';
import { SDashboardItemSetup } from '../types';
interface TableProps {
    setup: SDashboardItemSetup;
    chartData: Record<string, string | number>[];
    dataTotal: number;
    currentPage: number;
    pageSize: number;
    onPageChange: (page: number) => void;
    onPageSizeChange?: (size: number) => void;
    onPlaySound?: (code: string, value?: string | null | undefined) => void;
}
declare const Table: React.FC<TableProps>;
export default Table;
